Name:           pspvc
Version:        0.3
Release:        1%{?dist}
Summary:        PSPVC is a gui using ffmpeg to converting video files for the PSP

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://pspvc.sourceforge.net
Source0:        http://downloads.sourceforge.net/pspvc/pspvc-install-%{version}.tar.gz
Patch0:         pspvc-install-0.3-fix_desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

BuildRequires:  a52dec-devel
BuildRequires:  x264-devel
BuildRequires:  gtk2-devel
BuildRequires:  xvidcore-devel
BuildRequires:  nasm

Requires:  ffmpeg

%description
PSPVC is a gui using ffmpeg to converting video files for the PSP. It can
convert files

%description[fr]
PSPVC est une interface graphique à FFMPEG spécifique à la conversion de
fichier vidéo pour la PSP. Il permet d'enfiler plusieurs conversions avec
des paramètres différents pour chacune d'elles.

%prep
%setup -q -n pspvc-install-%{version}
%patch0 -p1 -b .fix_desktop
tar zxvf archives/pspvc-%{version}.tar.gz
find . -name "*.c" -name "*.h" -name "*.png" -exec chmod 0644 {} ';'
ln -fs pspvc-%{version} pspvc
pushd pspvc
chmod 0644 AUTHORS ChangeLog COPYING NEWS README TODO
popd


%build
pushd pspvc
%configure --disable-static
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd pspvc
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

rm -rf $RPM_BUILD_ROOT%{_datadir}/pspvc/.keep
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  archives/%{name}.desktop



%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc pspvc/AUTHORS pspvc/ChangeLog pspvc/COPYING pspvc/TODO
%{_bindir}/pspvc
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pspvc/
%{_datadir}/applications/*.desktop


%changelog
* Sat Nov 10 2007 kwizart < kwizart at gmail.com > - 0.3-1
- Initial release

